List product media
List media (images, videos) for a given product.
get/tenants/{tenantUid}/products/{productUid}/media
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+productUidstringRequiredPattern:
Reference to a Product.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
Responses
200
Example response
application/json
get/tenants/{tenantUid}/products/{productUid}/media
GET /v2/tenants/{tenantUid}/products/{productUid}/media HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"items": [
{
"productMediaUid": "text",
"mainUrl": "text",
"thumbnailUrl": "text",
"position": 1,
"width": 1,
"height": 1,
"isCoverImage": true,
"source": "FLOW",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

